## fai 6.5.3

=== Makefile ===
include VERSION

SHELL=/bin/bash
DESTDIR=$(shell pwd)/debian/tmp
export DOCDIR = $(shell pwd)/debian/fai-doc/usr/share/doc/fai-doc
LIBDIR = $(DESTDIR)/usr/lib/fai
SHAREDIR = $(DESTDIR)/usr/share/fai
USRSBIN_SCRIPTS = fai-make-nfsroot fai-setup fcopy ftar install_packages fai-chboot fai-monitor fai-cd fai faireboot fai-statoverride setup-storage dhcp-edit fai-new-mac fai-diskimage mk-data-partition

USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf policy-rc.d.fai ainsl fai-link fai-sed fai-monitor-gui fai-deps fai-mk-configspace ifclass

# for syntax checks
BASH_SCRIPTS = bin/fai bin/fai-cd bin/fai-class bin/fai-debconf bin/fai-do-scripts bin/fai-make-nfsroot bin/fai-mirror bin/fai-setup bin/fai-diskimage bin/fai-statoverride bin/faireboot bin/ftar bin/fai-link bin/fai-sed dev-utils/fai-kvm dev-utils/fai-mk-network examples/simple/basefiles/mk-basefile examples/simple/class/*.sh examples/simple/class/[0-9]* examples/simple/files/etc/rc.local/FAISERVER examples/simple/hooks/* examples/simple/scripts/*/* lib/fai-divert lib/fai-mount-disk lib/fai-savelog lib/fetch-basefile lib/get-boot-info lib/get-config-dir* lib/mkramdisk lib/mount2dir lib/prcopyleft lib/subroutines lib/task_* lib/updatebase lib/dracut/*/* bin/fai-mk-configspace bin/mk-data-partition lib/terminal-wrapper lib/fai-disk-info
SHELL_SCRIPTS = bin/policy-rc.d.fai lib/check_status lib/create_resolv_conf lib/fai-abort lib/load_keymap_consolechars utils/mkdebmirror
PERL_SCRIPTS = lib/setup-storage/*.pm bin/ainsl bin/dhcp-edit bin/fai-chboot bin/fai-deps bin/fai-monitor bin/fai-monitor-gui bin/fai-new-mac bin/fcopy bin/install_packages bin/setup-storage dev-utils/setup-storage_deps-graph.pl examples/simple/tests/Faitest.pm lib/dhclient-perl lib/fai-savelog-ftp bin/ifclass

# do not include setup-storage and dracut subdir
EXCL=lib/dracut lib/setup-storage lib/fai-abort
libfiles=$(filter-out $(EXCL),$(wildcard lib/[a-z]*))

all:
	$(MAKE) syntaxcheck
	$(MAKE) -C doc all

syntaxcheck: bashismcheck shellcheck perlcheck

bashismcheck:
	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SHELL_SCRIPTS); do \
			test -r $${SCRIPT} || continue ; \
			ec=0 ; \
			checkbashisms -x $${SCRIPT} || ec=$$? ; \
			if [ $${ec} -ne 0 ] && [ $${ec} -ne 2 ] ; then exit $${ec} ; fi ; \
			echo -n "."; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be optained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

shellcheck:
	@echo -n "Checking for shell syntax errors"; \
	for SCRIPT in $(BASH_SCRIPTS) $(SHELL_SCRIPTS); do \
		test -r $${SCRIPT} || continue ; \
		bash -n $${SCRIPT} || exit ; \
		echo -n "."; \
	done; \
	echo " done."; \

perlcheck:
	@echo "Checking for perl syntax errors:"; \
	mkdir -p perl-dummy/Linux perl-dummy/File perl-dummy/Tk ; \
	for f in File/lchown.pm Linux/LVM.pm Tk.pm Tk/HList.pm Tk/ItemStyle.pm; do \
		echo '1;' > perl-dummy/$$f ; \
	done; \
	cp -a lib/Eval perl-dummy; \
	for SCRIPT in $(PERL_SCRIPTS); do \
		test -r $${SCRIPT} || continue ; \
		perl -Iperl-dummy/ -Ilib/setup-storage/ -w -c $${SCRIPT} || exit ; \
	done; \
	rm -r perl-dummy ; \
	echo "-> perl check done."; \

clean:
	rm -rf perl-dummy
	$(MAKE) -C doc clean

veryclean: clean
	$(MAKE) -f debian/rules clean

install:
	mkdir -p $(DESTDIR)/{sbin,man} $(DESTDIR)/etc/{modutils,apt/apt.conf.d}
	mkdir -p $(DESTDIR)/usr/{sbin,bin} $(DESTDIR)/usr/lib/fai $(DESTDIR)/etc/fai/apt/trusted.gpg.d
	mkdir -p $(SHAREDIR)/{pixmaps/small,setup-storage}
	mkdir -p $(DESTDIR)/usr/lib/dracut/modules.d
	install man/* $(DESTDIR)/man
	pod2man -c '' -r '' -s8 bin/dhcp-edit > $(DESTDIR)/man/dhcp-edit.8
	pod2man -c '' -r '' -s8 bin/fai-deps > $(DESTDIR)/man/fai-deps.8
	$(MAKE) -C doc install
	-install $(libfiles) $(LIBDIR)
	cp -a lib/dracut/50fai-autodiscover $(DESTDIR)/usr/lib/dracut/modules.d
	install lib/setup-storage/* $(SHAREDIR)/setup-storage
	cd bin ; install $(USRSBIN_SCRIPTS) $(DESTDIR)/usr/sbin
	cd bin ; install $(USRBIN_SCRIPTS) $(DESTDIR)/usr/bin
	install dev-utils/fai-kvm $(DESTDIR)/usr/bin
	install dev-utils/fai-mk-network $(DESTDIR)/usr/sbin
	install -m644 conf/dhcpcd.conf $(SHAREDIR)/
	install -m644 conf/apt.conf $(DESTDIR)/etc/apt/apt.conf.d/90fai
	cd conf ; install -m644 fai.conf grub.cfg grub.cfg.autodiscover grub.cfg.live $(DESTDIR)/etc/fai/
	install -m644 conf/nfsroot.conf $(DESTDIR)/etc/fai/
	install -m644 conf/sources.list $(DESTDIR)/etc/fai/apt/
	install -m644 conf/fai-project.gpg $(DESTDIR)/etc/fai/apt/trusted.gpg.d/
	install -m644 conf/NFSROOT $(DESTDIR)/etc/fai
	install -m755 lib/fai-abort $(LIBDIR)
	cp -a pixmaps/*.gif $(SHAREDIR)/pixmaps
	cp -a pixmaps/small/*.gif $(SHAREDIR)/pixmaps/small
	sed -i 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai
	cp -a examples $(DOCDIR)
	rm -f $(DOCDIR)/examples/simple/.git
	cp -a utils $(DOCDIR)/examples
	# Systemd
	mkdir -p $(DESTDIR)/usr/lib/systemd/system
	install -m644 conf/systemd/* $(DESTDIR)/usr/lib/systemd/system
	mkdir -p $(DESTDIR)/usr/share/perl5
	cp -a lib/Eval $(DESTDIR)/usr/share/perl5

.PHONY: clean veryclean

=== debian/changelog ===
fai (6.5.3) unstable; urgency=low

  * fai: use mirror on data partition if available
  * add message when mounting the data partition
  * remove unused script device2grub
  * control: remove Priority
  * upgrade to policy 4.7.3
  * mk-basefile: add duke release
  * package_config/DEBIAN: add firmware-mediatek

 -- Thomas Lange <lange@debian.org>  Wed, 14 Jan 2026 12:14:06 +0100

=== debian/control ===
Source: fai
Section: admin
Maintainer: Thomas Lange <lange@debian.org>
Standards-Version: 4.7.3
Build-Depends-Indep: asciidoc-dblatex, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
Build-Depends: debhelper-compat (= 13), debhelper (>= 11), libgraph-perl, devscripts
Vcs-Git: https://github.com/faiproject/fai.git
Vcs-Browser: https://github.com/faiproject/fai
Homepage: https://fai-project.org

Package: fai-client
Architecture: all
Depends: perl, file, libfile-lchown-perl, iproute2, debconf-utils, procps, zstd, ${misc:Depends}
Recommends: fdisk | util-linux (<< 2.29.2-3~)
Suggests: logtail, libgraph-perl
Breaks: fai-nfsroot (<< 5.2)
Replaces: fai-nfsroot (<< 5.2)
Description: Fully Automatic Installation client package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This is the client package for FAI. It contains the parts necessary
 to run the softupdate functionality on already installed systems, and
 is needed for the dirinstall functionality and others on a FAI server.

Package: fai-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Documentation for FAI
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This is the documentation for FAI in various formats.

Package: fai-server
Architecture: all
Depends: fai-client, e2fsprogs, debootstrap, xz-utils, ${misc:Depends}
Recommends: nfs-kernel-server, tftpd-hpa | atftpd, openssh-server, openssh-client, openbsd-inetd | inet-superserver, libproc-daemon-perl, dosfstools, mtools
Suggests: debmirror, reprepro, xorriso, squashfs-tools, binutils, perl-tk, qemu-utils, fai-setup-storage
Description: Fully Automatic Installation server package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 It's a tool for mass unattended Linux installation. You can take one
 or more virgin systems, turn on the power, and after a few minutes,
 the systems are installed, and completely configured to your exact
 needs, without any interaction necessary.
 .
 This package is needed for setting up a FAI install server for network
 installations, for running the dirinstall in a chroot environment, and
 to build installation CD/DVD's and USB sticks.

Package: fai-quickstart
Architecture: all
Depends: fai-server, fai-doc, nfs-kernel-server, tftpd-hpa | atftpd, reprepro, xorriso, squashfs-tools, binutils, openbsd-inetd | inet-superserver, ${misc:Depends}
Description: Fully Automatic Installation quickstart package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 This package setups an install server with some basic
 examples. It should be removed when creating your own config space.
 .
 This package is a dependency package, which will install some
 packages needed for FAI.

Package: fai-nfsroot
Architecture: all
Depends: fai-client (>=5.2), fai-setup-storage, pxelinux| syslinux-common, syslinux-efi, ${misc:Depends}
Description: Fully Automatic Installation nfsroot package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This package contains the software that is only needed in
 the FAI nfsroot. Do not install this package on a normal machine.

Package: fai-setup-storage
Architecture: all
Depends: perl, e2fsprogs, libparse-recdescent-perl, liblinux-lvm-perl, parted, ${misc:Depends}
Recommends: fai-client, lvm2, mdadm
Suggests: dmsetup, cryptsetup, dosfstools, jfsutils, ntfs-3g, reiserfsprogs, xfsprogs
Description: automatically prepare storage devices
 Using FAI disk_config files, setup-storage computes effective
 partition and volume sizes and executes the necessary commands
 to configure storage devices. It manages disk drives as well
 as RAID and LVM volumes. It handles all file systems supported
 by parted(8) as well as ntfs but is flexible enough to be
 extended to further types as well. Once the storage devices
 are prepared, an appropriate fstab(5) file is generated.
 .
 This package provides the setup-storage utility as separate
 package so it can be used independent from FAI as well.

## fai 6.5.4

=== debian/changelog ===
fai (6.5.4) unstable; urgency=low

  [ Tobias Häberlein ]
  * subroutines: check write access to /var/log instead of /var/log/fai

  [ Thomas Lange ]
  * fai-mirror: add option -G, call install_packages without -N
  * install_packages: add option -G for creating a generic package mirror
    (in download mode)
  * fai-make-nfsroot: remove unused code
  * package_config/UBUNTU: add kernel package for HWE and non-HWE class
  * debconf/DEBIAN: add firmware-ipw2x00/license/accepted
  * package_config/MINT: update packages list for 22.3 (zena)

 -- Thomas Lange <lange@debian.org>  Mon, 26 Jan 2026 18:43:58 +0100

## fai 6.5.5

=== debian/changelog ===
fai (6.5.5) unstable; urgency=low

  * install_packages: substitute variables before processing futher,
    set maxpl correctly
  * example.profile: update Linux Mint
  * package_config/XORG: remove duplicated package names

 -- Thomas Lange <lange@debian.org>  Mon, 09 Feb 2026 14:23:53 +0100

## fai 6.5.6

=== debian/changelog ===
fai (6.5.6) unstable; urgency=low

  * fai-mirror: do not set MAXPACKAGES to 1 if -m is not used
  * UBUNTU: remove default kernel when using the HWE kernel

 -- Thomas Lange <lange@debian.org>  Wed, 11 Feb 2026 15:19:01 +0100
